package com.bonus.canteen.core.nutrition.common.enums;

public enum CustBMIEnum {
   THIN(18.4, "偏瘦"),
   NORMAL(23.9, "正常"),
   OVERWEIGHT(27.9, "过重"),
   OBESITY(28.0, "肥胖");

   private final Double key;
   private final String desc;

   private CustBMIEnum(Double key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Double key) {
      CustBMIEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         CustBMIEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Double getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
